@ECHO OFF

IF "%~1" == "" (
	ECHO NO_ARGUMENTS
	EXIT /B 1
)
SET DIR=%~1
IF "%DIR:~-1%" NEQ "\" (
	SET DIR=%DIR%\
)
IF NOT EXIST "%DIR%" (
	ECHO NOT_FOUND: %DIR%
	EXIT /B 2
)

SET PATH=%~dp0;%PATH%

FOR /R "%DIR%" %%p IN (*.png) DO (
	IF NOT EXIST "%%p.webp" (
		pngquant.exe --verbose --force --speed 1 --strip --nofs --output "%%p" "%%p"
		zopflipng.exe -y "%%p" "%%p"
		cwebp.exe -v -z 9 "%%p" -o "%%p.webp" 
	)
)

FOR /R "%DIR%" %%j IN (*.jpg) DO (
	IF NOT EXIST "%%j.webp" (
		cwebp.exe -q 75 -m 6 "%%j" -o "%%j.webp"
	)
)

FOR /R "%DIR%" %%g IN (*.gif) DO (
	IF NOT EXIST "%%g.webp" (
		gif2webp.exe -v -min_size "%%g" -o "%%g.webp"
	)
)
